Page MenuHomePhabricator

Build new bot for Mr.Z's popular pages report
Closed, ResolvedPublic3 Estimate Story Points

Description

Write a new bot that actually writes the monthly on-wiki reports for the WikiProjects.

Put the code for this in the same repo as the new config interface.

New GitHub repo: https://github.com/wikimedia/popularpages
Development web interface: http://tools.wmflabs.org/popularpages-dev/

Event Timeline

kaldari triaged this task as Medium priority.Jan 31 2017, 10:15 PM
kaldari created this task.
kaldari moved this task from Untriaged to To be estimated/discussed on the Community-Tech board.
kaldari updated the task description. (Show Details)Jan 31 2017, 10:29 PM
kaldari set the point value for this task to 3.Jan 31 2017, 10:36 PM
kaldari edited projects, added Community-Tech-Sprint; removed Community-Tech.
kaldari updated the task description. (Show Details)Feb 1 2017, 2:37 AM

Is this ticket talking about just writing the bot which writes given content to a given page or also compiling the report? How are we getting that data?

This ticket is for compiling and writing the reports. The data should come from the new monthly pageviews API and the PageAssessments API. The pageview data doesn't need to be stored in the database or anything, just written to the report pages.

kaldari added a comment.EditedFeb 2 2017, 6:10 PM

We should keep using the Mr.Z-bot account on enwiki if possible (since it already has the bot approval). I've copied the bot's credentials into a config file in the Tool Labs root dir.

kaldari updated the task description. (Show Details)Feb 2 2017, 6:27 PM

From T153790: Investigation: Fix Mr.Z-bot's popular pages report:

The pageviews API does not yet have the data for Wikiproject pages. According to T141010: Adding top counts for wiki projects (ex: WikiProject:Medicine) to pageview API this is probably going to happen this quarter

You can see https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/all-agents/Albert_Einstein/daily/2015100100/2015103100 returns

{"items":[{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015100100","access":"all-access","agent":"all-agents","views":18860},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015100200","access":"all-access","agent":"all-agents","views":20816},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015100300","access":"all-access","agent":"all-agents","views":16009},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015100400","access":"all-access","agent":"all-agents","views":19494},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015100500","access":"all-access","agent":"all-agents","views":21198},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015100600","access":"all-access","agent":"all-agents","views":22515},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015100700","access":"all-access","agent":"all-agents","views":22269},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015100800","access":"all-access","agent":"all-agents","views":20835},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015100900","access":"all-access","agent":"all-agents","views":18319},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015101000","access":"all-access","agent":"all-agents","views":17088},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015101100","access":"all-access","agent":"all-agents","views":18522},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015101200","access":"all-access","agent":"all-agents","views":20251},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015101300","access":"all-access","agent":"all-agents","views":20765},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015101400","access":"all-access","agent":"all-agents","views":21677},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015101500","access":"all-access","agent":"all-agents","views":20694},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015101600","access":"all-access","agent":"all-agents","views":18597},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015101700","access":"all-access","agent":"all-agents","views":19252},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015101800","access":"all-access","agent":"all-agents","views":19257},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015101900","access":"all-access","agent":"all-agents","views":22160},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015102000","access":"all-access","agent":"all-agents","views":22280},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015102100","access":"all-access","agent":"all-agents","views":23067},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015102200","access":"all-access","agent":"all-agents","views":22469},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015102300","access":"all-access","agent":"all-agents","views":19218},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015102400","access":"all-access","agent":"all-agents","views":17942},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015102500","access":"all-access","agent":"all-agents","views":20262},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015102600","access":"all-access","agent":"all-agents","views":22290},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015102700","access":"all-access","agent":"all-agents","views":23170},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015102800","access":"all-access","agent":"all-agents","views":23288},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015102900","access":"all-access","agent":"all-agents","views":24300},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015103000","access":"all-access","agent":"all-agents","views":20720},{"project":"en.wikipedia","article":"Albert_Einstein","granularity":"daily","timestamp":"2015103100","access":"all-access","agent":"all-agents","views":16380}]}

whereas
https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/all-agents/Wikiproject:Medicine/daily/2015100100/2015103100
returns

{"type":"https://restbase.org/errors/not_found","title":"Not found.","method":"get","detail":"The date(s) you used are valid, but we either do not have data for those date(s), or the project you asked for is not loaded yet.  Please check https://wikimedia.org/api/rest_v1/?doc for more information.","uri":"/analytics.wikimedia.org/v1/pageviews/per-article/en.wikipedia/all-access/all-agents/Wikiproject%3AMedicine/daily/2015100100/2015103100"}
MusikAnimal added a comment.EditedFeb 2 2017, 9:36 PM

We should keep using the Mr.Z-bot account on enwiki if possible (since it already has the bot approval). I've copied the bot's credentials into a config file in the Tool Labs root dir.

Users might go to Mr.Z looking for help, when he is no longer maintaining it. Using Community Tech bot should still be a quick and easy bot trial, if not "speedy approval" since it's a takeover.

We might want to use the WikiProjects pageviews API endpoint for enwiki and a few others, but per our recent stand up I think we should support going off of categories (which is how the current Popular Pages report works). This is easy to implement and would open the door for any number of use cases, including projects like Wikisource that have WikiProjects, but there are no assessments, and hence may not found in the PageAssessments API. Another example, getting a report of high-importance medicine articles, or featured article biographies on musicians, etc. How WikiProjects are organized and community processes differ across WMF projects, but they all use categories.

@Niharika, @MusikAnimal: For the first iteration, I think we should use the PageAssessments projectpages API to retrieve all the pages for a project (and their classes), and then use the monthly pageviews API to get the pageviews for each. This is the simplest minimal viable product. For the second iteration, we should add support for using categories and multilingual support (as other languages may not have PageAssessments anyway). At least that's my opinion.

If you're using the bot account, you should be able to pull 5000 pages at a time:
https://en.wikipedia.org/w/api.php?action=query&list=projectpages&wppprojects=Medicine&wppassessments=true&wpplimit=5000
(Otherwise the limit is 500.)

Also, it would be really nice if each row in the report also included a link to the pageviews interface for that article for the past month.

Niharika claimed this task.Feb 3 2017, 7:33 AM
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.

I'm probably stating the obvious that everyone already knows, but this should exclude spider and bot visits. If we compare to the Massviews interface, we would be selecting 'User' for the Agent. We're only concerned with human visits.

Also, please count human visits from all platforms. I think the previous "Popular pages" was only giving us the desktop data, which may have skewed some of the rankings.

Again, sorry if I'm being Captain Obvious. :)

The bot has successfully completed its trial run and updated 50 project reports. They are the first 50 in the "Report" column in https://en.wikipedia.org/wiki/User:Community_Tech_bot/Popular_pages_config.

The only bug I know at this point is that the link to pageviews has range=this-month instead of start and end dates. The bot was mistakenly run on a prior version of the app which was not updated to fix this bug. Feel free to report any other bugs you find or things you'd like fixed.

About the performance: The pageviews api is pretty good but does not have monthly view data for a good number of pages. For now, I'm assuming the views for those pages to be 0. Otherwise it's pretty fast. I am able to get pageviews for ~1000 pages in about 1 minute. P4950 contains data about wikiprojects and contained number of pages. It took 3 hours 20 minutes to get data for WikiProject Albums, which is #3 on the list.

You can see the stack for a few of the failed pageview API requests here:

PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/The%20Sons%20of%20the%20Dragon/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/HPTN%20083/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Choices%20%28journal%29/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Iran%3A%20Journal%20of%20the%20British%20Institute%20of%20Persian%20Studies/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Annals%20of%20the%20American%20Association%20of%20Geographers/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Hermaphrodites%20with%20Attitude/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Medical%20Journal%20of%20Zambia/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Energy%20Research%20%26%20Social%20Science/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Energy%20Research%20and%20Social%20Science/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/European%20Journal%20of%20Nutrition/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Journal%20of%20Consumer%20Policy/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Molecular%20Cytogenetics/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/TAMAR%20Education%20Project/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/TheRoyalStampede/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Creswell%20Gardens/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Rashid%20Khan%20%28Afghan%20cricketer%29/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Higher%20education%20in%20Afghanistan/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/2017%20in%20Afghanistan/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/2017%20Afghanistan%20avalanches/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Massoud%20Square/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Bancroft%20Global%20Development/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/American%20War%20in%20Afghanistan/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/South%20West%20Africa%20campaign/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Alia%20Al-Hussein/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Bushmanland%20%28South%20West%20Africa%29/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
^[[APHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Operation%20Argon/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Republic%20of%20the%20Congo%20Civil%20War%20%281997%E2%80%9399%29/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Maurice%20Auguste%20Lippens/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Charly%20Musonda%20%28footballer%2C%20born%201969%29/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Maria%20Tom%C3%A9/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Jos%C3%A9%20da%20Graca%20Diogo/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Code%20of%20Personal%20Status%20in%20Tunisia/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Anglican%20Diocese%20of%20Gambia/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Gala%20%28king%29/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/A%C3%AFn%20Tarik/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/List%20of%20colonial%20governors%20of%20South%20West%20Africa/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/A%C3%AFn%20Bessem/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/A%C3%AFn%20El%20Hadjar%2C%20Bou%C3%AFra/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/A%C3%AFn%20Laloui/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/A%C3%AFt%20Laziz/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/A%C3%AFn%20Beida%2C%20Ouargla/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/List%20of%20Catholic%20dioceses%20in%20Morocco%2C%20Mauretania%20and%20Western%20Sahara/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Coloured%20people%20in%20Namibia/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Y-DNA%20haplogroups%20in%20populations%20of%20North%20Africa/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Ouedraogo%20%28surname%29/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/The%20Jews%20of%20Libya%20during%20the%20Holocaust/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Belgo-Congolese%20Round%20Table%20Conference/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Baga%2C%20Borno/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Cabinet%20Crisis%20of%201964%20in%20Malawi/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Ministry%20of%20Foreign%20Affairs%20and%20Cooperation%20%28Rwanda%29/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Christ%20the%20King%20%28Lubango%29/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Enda%20Mariam%20Cathedral%2C%20Asmara/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Republic%20of%20the%20Congo%20Civil%20War%20%281993%E2%80%9394%29/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Edson%20Chagas/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Charlotte%20Harland%20Scott/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Nana%20Kagga%3AThe%20Life%20%282012%20film%29/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Ferdinand%20Essendja/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/State%20Intelligence%20Services%20%28The%20Gambia%29/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Diocese%20of%20Lagos%20West/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Kidane%20Mehret%20Cathedral%2C%20Asmara/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Karumo%20Technical%20Training%20Institute/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Luc%20Bendza/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Ousman%20Sonko/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Sobonfu%20Som%C3%A9/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Malagasy%20Chess%20Championship/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Legs4Africa/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Ansumana%20Kromah/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Kenyan%20Chess%20Championship/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Ato%20Malinda/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
 in /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php on line 109
PHP Stack trace:
PHP   1. {main}() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:0
PHP   2. ApiHelper->getMonthlyPageviews() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/index.php:28
PHP   3. file_get_contents() /mnt/nfs/labstore-secondary-tools-project/popularpages-dev/public_html/ApiHelper.php:109
PHP Warning:  file_get_contents(https://wikimedia.org/api/rest_v1/metrics/pageviews/per-article/en.wikipedia/all-access/user/Solange%20Mabignath/monthly/2017010100/2017013100): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
MusikAnimal added a comment.EditedFeb 21 2017, 5:51 PM

About the performance: The pageviews api is pretty good but does not have monthly view data for a good number of pages. For now, I'm assuming the views for those pages to be 0.

Zero pageviews is the right assumption. For instance The Sons of the Dragon was created in February, so obviously no pageviews for January. Choices (journal) is an older article, but we can assume there were no pageviews in January, falling in with the "404 in timeseries" Gotcha.

There are some I'm not sure about... such as Hermaphrodites with Attitude. It was edited twice in January, using on-wiki tools, so it must have received at least a few pageviews, yet the API does not give us any numbers. Same if you check the daily endpoint, we get nothing when there should be data for 12 January. I would still assume zero pageviews for all 404s, but this case might be a bug with the API.

The one last thing I wanted to say was you should probably wait until the 2nd or 3rd of the month to run the reports. Data is not guaranteed to be available until 24 hours after the fact, and even then sometimes the jobs run a little late, from my experience. For Topviews I don't allow querying of the previous month until the 2nd, but since the popular pages bot is a monthly job, we might wait until the 3rd just in case things are a little behind.

The one last thing I wanted to say was you should probably wait until the 2nd or 3rd of the month to run the reports. Data is not guaranteed to be available until 24 hours after the fact, and even then sometimes the jobs run a little late, from my experience. For Topviews I don't allow querying of the previous month until the 2nd, but since the popular pages bot is a monthly job, we might wait until the 3rd just in case things are a little behind.

That's a good idea. In total, I expect it to take only about one day to run a full cycle, so running on the 3rd should be fine.

Added comments on 2 of the commits.

Status update:

  • The bot is working fine for *most* projects but inexplicably, it fails for some very large projects. The exact point of failure lies in the setText function. I'm investigating this and will hopefully push a patch soon.
  • I tried using Promises and while they also work fine for small projects, I got a whole new bunch of errors with larger projects:
PHP Warning:  include(/Library/WebServer/Documents/popularpages/vendor/guzzlehttp/guzzle/src/Exception/ConnectException.php): failed to open stream: Too many open files in /Library/WebServer/Documents/popularpages/vendor/composer/ClassLoader.php on line 412

Warning: include(/Library/WebServer/Documents/popularpages/vendor/guzzlehttp/guzzle/src/Exception/ConnectException.php): failed to open stream: Too many open files in /Library/WebServer/Documents/popularpages/vendor/composer/ClassLoader.php on line 412
PHP Warning:  include(): Failed opening '/Library/WebServer/Documents/popularpages/vendor/composer/../guzzlehttp/guzzle/src/Exception/ConnectException.php' for inclusion (include_path='.:') in /Library/WebServer/Documents/popularpages/vendor/composer/ClassLoader.php on line 412

Warning: include(): Failed opening '/Library/WebServer/Documents/popularpages/vendor/composer/../guzzlehttp/guzzle/src/Exception/ConnectException.php' for inclusion (include_path='.:') in /Library/WebServer/Documents/popularpages/vendor/composer/ClassLoader.php on line 412
PHP Fatal error:  Class 'GuzzleHttp\Exception\ConnectException' not found in /Library/WebServer/Documents/popularpages/vendor/guzzlehttp/guzzle/src/Handler/CurlFactory.php on line 186

I assume it wants me to chunk my pages when doing promises but I don't understand the ConnectException error though it seems related.
Promises did speed up the pageview fetch by a lot so I would like to try to make them work.

Yep, it was local. Thanks, that looks like the problem. I'll re-run with promises and hope it all works this time.

Something related to this just occurred to me. The previous bot was stated to "aggregate the views for all redirects to each page." I assume this meant that views to each page would be counted whether directly viewed or arrived at by a redirect. Is this applicable in any way to what is being worked on right now?

Something related to this just occurred to me. The previous bot was stated to "aggregate the views for all redirects to each page." I assume this meant that views to each page would be counted whether directly viewed or arrived at by a redirect. Is this applicable in any way to what is being worked on right now?

I am pretty sure we're not doing this right now, and we probably should, since the redirects can amount to a noticeable portion of overall traffic (example). We could query the prop=redirects API to get a list, and incorporate those pages as part of the data for a single page. The limit without authentication is 500 results, but I doubt there are many pages with more than 500 redirects.

I was thinking of Muhammad Ali as a good example as well. Thank you for your quick response. I do agree this should be incorporated into results, for sake of fairness in comparative results.

The bot progress can be seen on https://en.wikipedia.org/wiki/User:Community_Tech_bot/Popular_pages

Typically that page will be updated only when the bot has finished a run cycle. I just ran it manually this time to check it.

The bot should now log pages it didn't find pageview data for. Hopefully this marks the end of this ticket.

czar added a comment.Mar 15 2017, 5:29 AM

The bot should now log pages it didn't find pageview data for. Hopefully this marks the end of this ticket.

There are a lot of pages listed where the bot didn't update. What needs to happen to fix those? There are also some questions at https://meta.wikimedia.org/wiki/User_talk:Community_Tech_bot

There are a lot of pages listed where the bot didn't update. What needs to happen to fix those?

@czar: I think for most of them, the bot just hasn't gotten to them yet. Let's wait until the bot has finished a full run, and then see which ones didn't work.

@Niharika: One last fix before this is marked resolved: If the bot isn't able to get the stats for a project (for example because of the issue mentioned in T159774), please have it skip writing to the page (rather that writing an empty report).

kaldari closed this task as Resolved.Mar 16 2017, 2:27 AM
kaldari moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.

Issues I see:

  1. Are redirects now taken into account as discussed previously? The stats aren't accurate until this is done.
  2. The bot just ran on many pages, but WP Louisville just got an empty report. I assume others might have gotten empty reports as well.
  3. The previous bot didn't write over page headers (e.g. project nav banner) but the new version does. This will have to be fixed.

Also, I'm unsure why this is marked as "resolved" as the bot doesn't yet do all the things the previous version did.

Note that I now see the ticket for handling the redirects.

Issues I see:

  1. Are redirects now taken into account as discussed previously? The stats aren't accurate until this is done.

Not yet. There's a ticket as you noted.

  1. The bot just ran on many pages, but WP Louisville just got an empty report. I assume others might have gotten empty reports as well.

Yes, that's also a known bug T159774: Popularpages bot not generating reports for some projects and task forces

  1. The previous bot didn't write over page headers (e.g. project nav banner) but the new version does. This will have to be fixed.

Doc James brought this up on the bot talk page. One possible solution is that the bot only update a specific section of the page. Say "List" or "Report". Can you file a ticket?

Also, I'm unsure why this is marked as "resolved" as the bot doesn't yet do all the things the previous version did.

This ticket was only to build a basic bot from my understanding (3 story points). It's covered way more than that. If there are any other things the older bot did and you don't see them in the current bot, please file new tickets for them. It'll make our job easier. If you don't want to do that, I can file them, just list them here. Thanks.

kaldari added a comment.EditedMar 16 2017, 6:11 PM

Are redirects now taken into account as discussed previously? The stats aren't accurate until this is done.

Covered at T160201.

The bot just ran on many pages, but WP Louisville just got an empty report. I assume others might have gotten empty reports as well.

This was discussed further up at T156857#3100956 and fixed (although the bot process that is currently running likely doesn't have have the fix). But also see T159774.

The previous bot didn't write over page headers (e.g. project nav banner) but the new version does. This will have to be fixed.

I'll create a new ticket for this.

Also, I'm unsure why this is marked as "resolved" as the bot doesn't yet do all the things the previous version did.

This ticket is just for getting a new bot up and running. The main task (which is still unresolved) is T141154.

Edit conflict :)

@Stevietheman: Also, FYI, a large percentage of the reports that are broken are WikiProjects that are set up as task forces in their banner templates (like WikiProject Louisville). This practice goes against the WikiProject guidelines and the instructions at the WPBannerMeta template. The practice seems to be the most common with geography WikiProjects. Even in other cases where there is a clear hierarchy, like WikiProject Life -> WikiProject Animals -> WikiProject Arthropods -> WikiProject Spiders, every project is set up correctly with it's own banner. Do you have any idea why geography WikiProjects have adopted this practice? In other words, why do folks not want to either define the Louisville group as an actual task force or give it it's own banner? Having it as both simultaneously is confusing and doesn't work well with PageAssessments.

I know there was a push a few years ago to standardize the names of WikiProject banner templates, but apparently this didn't take into account WikiProjects that were piggybacking as task forces. Perhaps there could be another clean-up drive to fix these. Any thoughts on that? This isn't strictly necessary to get Popular Pages bot to work for them, but it's going to be a recurrent problem for any software we build for WikiProjects (which I would like to do more of).

New ticket for leaving headers and categories alone when updating the report: T160683.

czar removed a subscriber: czar.Mar 16 2017, 7:35 PM

Do you have any idea why geography WikiProjects have adopted this practice? In other words, why do folks not want to either define the Louisville group as an actual task force or give it it's own banner? Having it as both simultaneously is confusing and doesn't work well with PageAssessments.
I know there was a push a few years ago to standardize the names of WikiProject banner templates, but apparently this didn't take into account WikiProjects that were piggybacking as task forces. Perhaps there could be another clean-up drive to fix these. Any thoughts on that? This isn't strictly necessary to get Popular Pages bot to work for them, but it's going to be a recurrent problem for any software we build for WikiProjects (which I would like to do more of).

It's a long drawn-out tale how WikiProject United States and its many subprojects (really, Louisville is a subproject, not a taskforce) came to be. But I think it would be far stickier to untangle the banner issue than to just support these WikiProjects as they are. Besides, I don't know why the banner format has anything to do with this -- we have categories listing all the pages the project includes (well, talk pages, but that is easily converted). In the long term, I might be open to untangling the banners, but I can only answer for projects I'm involved with.

New ticket for leaving headers and categories alone when updating the report: T160683.

Thank you!

This ticket was only to build a basic bot from my understanding (3 story points). It's covered way more than that. If there are any other things the older bot did and you don't see them in the current bot, please file new tickets for them. It'll make our job easier. If you don't want to do that, I can file them, just list them here. Thanks.

I've never understood what story points are, but from my background in software development, ordinarily a ticket wouldn't be marked as 'resolved' until it's actually, well, done. But I'm not going to quibble as long as we're on a path to addressing the issues. Thank you.

Meno25 removed a subscriber: Meno25.May 5 2017, 6:43 AM